# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration
require 'eoat'
require 'rspec/core'
require 'webmock/rspec'
require 'rr'

include WebMock::API

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = :default

  # Set use by default RR
  config.mock_with :rr
end

def stub_eve_request(uri, status=200)
  stub_request(
      :get,
      'https://api.eveonline.com' + uri.to_s
  ).
      with(
      :headers => EOAT.headers
  ).to_return(
      :body => File.open(
          File.expand_path(
              File.join(
                  File.dirname(__FILE__),
                  'fixtures/eve' + uri.split('?').first
              )
          )
      ),
      :headers => {
          'transfer-encoding'=>['chunked'],
          'content-type'=>['application/xml; charset=utf-8'],
      },
      :status => status
  )
end

def stub_zk_request(uri)
  stub_request(
      :get,
      'http://zkillboard.com/' + uri.to_s
  ).
      with(
      :headers => EOAT.headers
  ).to_return(
      :body => File.open(
          File.expand_path(
              File.join(
                  File.dirname(__FILE__),
                  'fixtures/zkillboard/' + uri.tr('/', '-')
              )
          )
      ),
      :headers => {
          'transfer-encoding'=>['chunked'],
          'content-type'=>['application/xml; charset=utf-8'],
      },
      :status => 200
  )
end

def delete_cache
  FileUtils.rmtree(
      File.expand_path(
          File.join(File.dirname(__FILE__),
                    'fixtures/cache',
                    '1309c631605e762ca0a8450211bb5bd9'
          )
      )
  )
end